Bug 23193 - Make set_password.pl use Koha::Script
Summary: Make set_password.pl use Koha::Script
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 17746 22600
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-24 13:26 UTC by Tomás Cohen Arazi
Modified: 2019-07-26 14:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23193: Make set_password.pl use Koha::Script (700 bytes, patch)
2019-06-24 13:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23193: Make set_password.pl use Koha::Script (753 bytes, patch)
2019-06-24 14:57 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23193: Make set_password.pl use Koha::Script (825 bytes, patch)
2019-06-28 12:08 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-06-24 13:26:49 UTC
It seems the original patch missed to add it (probably because Koha::Script wasn't there). Anyways, needs fixation.
Comment 1 Tomás Cohen Arazi 2019-06-24 13:28:19 UTC
Created attachment 90945 [details] [review]
Bug 23193: Make set_password.pl use Koha::Script

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 M. Tompsett 2019-06-24 14:57:09 UTC
Created attachment 90949 [details] [review]
Bug 23193: Make set_password.pl use Koha::Script

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Kyle M Hall 2019-06-28 12:08:49 UTC
Created attachment 91066 [details] [review]
Bug 23193: Make set_password.pl use Koha::Script

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-06-28 13:30:34 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-07-25 11:46:16 UTC
Pushed to 19.05.x for 19.05.03
Comment 6 Lucas Gass 2019-07-26 14:45:09 UTC
missing dependency for 18.11.x, no backport.